Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook
Class WeekPlan

    java.lang.Object
      com.knowgate.addrbook.WeekPlan

    public class WeekPlan

extends java.lang.Object

Class for getting meetings of a week dividing each day in two halfs (morning and afternoon)

Constructor Summary
`WeekPlan(int iIdDomain, java.util.Date dtFirstDate)` Create empty WeekPlan and set midday time to 14:00
`WeekPlan(int iIdDomain, java.lang.String sGuWorkArea, java.util.Date dtFirstDate)` Create empty WeekPlan and set midday time to 14:00

Method Summary
`Address[]` | `getDistinctAddresses(JDCConnection oConn)`
`Fellow[]` | `getDistinctFellows(JDCConnection oConn)` Get array of all fellows attending any meeting at this week
`Room[]` | `getDistinctRooms(JDCConnection oConn)`
`Meeting[]` | `getMeetingsForFirstHalfDayOfWeek(int nDay)` Get array of meeting for first half of a day
`Meeting[]` | `getMeetingsForSecondHalfDayOfWeek(int nDay)` Get array of meeting for second half of a day
`int` | `getMiddayHoursAndMinutes()` Get time used to split day between morning and afternoon
`java.sql.Time` | `getMiddayTime()` Get time used to split day between morning and afternoon
`int` | `loadMeetingsForAddress(JDCConnection oConn, java.lang.String sGuAddress)` Load meetings organized at the given address from the given date and seven days ahead
`int` | `loadMeetingsForFellow(JDCConnection oConn, java.lang.String sGuFellow)` Load meetings organized by the given fellow from the given date and seven days ahead
`int` | `loadMeetingsForRoom(JDCConnection oConn, java.lang.String sNmRoom)` Load meetings organized at the given address from the given date and seven days ahead
`void` | `setMiddayTime(int iHour, int iMinute)`
`void` | `setMiddayTime(java.sql.Time oMidday)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeekPlan

    public WeekPlan(int iIdDomain,
                    java.util.Date dtFirstDate)

  Create empty WeekPlan and set midday time to 14:00

  Parameters:
    `Id` - of domain for restricting meeting search

### WeekPlan

    public WeekPlan(int iIdDomain,
                    java.lang.String sGuWorkArea,
                    java.util.Date dtFirstDate)

  Create empty WeekPlan and set midday time to 14:00

  Parameters:
    `Id` - of domain for restricting meeting search
    `GUID` - of WorkArea for restricting meeting search

Method Detail

### getMiddayTime

    public java.sql.Time getMiddayTime()

  Get time used to split day between morning and afternoon

  Returns:
    java.sql.Time

### getMiddayHoursAndMinutes

    public int getMiddayHoursAndMinutes()

  Get time used to split day between morning and afternoon

  Returns:
    int Hours and minutes are expressed as HHMM being HH[00-23] and MM[00-59]

### setMiddayTime

    public void setMiddayTime(java.sql.Time oMidday)

### setMiddayTime

    public void setMiddayTime(int iHour,
                              int iMinute)

### loadMeetingsForFellow

    public int loadMeetingsForFellow(JDCConnection oConn,
                                     java.lang.String sGuFellow)
                              throws java.sql.SQLException

  Load meetings organized by the given fellow from the given date and seven days ahead

  Parameters:
    `oConn` - JDCConnection
    `sGuFellow` - GUID of Fellow organizing or attending the Meeting
  Returns:
    Count of meetings loaded
  Throws:
    `java.sql.SQLException`

### loadMeetingsForAddress

    public int loadMeetingsForAddress(JDCConnection oConn,
                                      java.lang.String sGuAddress)
                               throws java.sql.SQLException

  Load meetings organized at the given address from the given date and seven days ahead

  Parameters:
    `oConn` - JDCConnection
    `sGuAddress` - GUID of the Address where the meeting takes place
  Returns:
    Count of meetings loaded
  Throws:
    `java.sql.SQLException`

### loadMeetingsForRoom

    public int loadMeetingsForRoom(JDCConnection oConn,
                                   java.lang.String sNmRoom)
                            throws java.sql.SQLException

  Load meetings organized at the given address from the given date and seven days ahead

  Parameters:
    `oConn` - JDCConnection
    `dtFrom` - Date for first day to be loaded
    `sNmRoom` - Unique name of room used by meeting
  Returns:
    Count of meetings loaded
  Throws:
    `java.sql.SQLException`

### getMeetingsForFirstHalfDayOfWeek

    public Meeting[] getMeetingsForFirstHalfDayOfWeek(int nDay)

  Get array of meeting for first half of a day

  Parameters:
    `nDay` - Day of week from java.util.GregorianCalendar weekday integers
  Returns:
    Array with meetings sorted by date or null if no meeting where found for given half day

### getMeetingsForSecondHalfDayOfWeek

    public Meeting[] getMeetingsForSecondHalfDayOfWeek(int nDay)

  Get array of meeting for second half of a day

  Parameters:
    `nDay` - Day of week from java.util.GregorianCalendar weekday integers
  Returns:
    Array with meetings sorted by date or null if no meeting where found for given half day

### getDistinctFellows

    public Fellow[] getDistinctFellows(JDCConnection oConn)
                                throws java.sql.SQLException

  Get array of all fellows attending any meeting at this week

  Throws:
    `java.sql.SQLException`

### getDistinctRooms

    public Room[] getDistinctRooms(JDCConnection oConn)
                            throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDistinctAddresses

    public Address[] getDistinctAddresses(JDCConnection oConn)
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD